# Google Compute Engine Autoscaler API . zones

## Instance Methods

Retrieves the next page of results.

### Method Details

`list(maxResults=None, project=None, pageToken=None, filter=None)`

    Args:
      maxResults: integer, A parameter
      project: string, A parameter
      pageToken: string, A parameter
      filter: string, A parameter

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String",
        "items": [
          {
            "status": "A String",
            "kind": "autoscaler#zone", # [Output Only] Type of the resource. Always compute#zone for zones.
            "description": "A String",
            "deprecated": {
              "deleted": "A String",
              "deprecated": "A String",
              "state": "A String",
              "obsolete": "A String",
              "replacement": "A String",
            },
            "region": "A String",
            "creationTimestamp": "A String",
            "id": "A String",
            "selfLink": "A String",
            "name": "A String",
          },
        ],
        "kind": "autoscaler#zoneList", # Type of resource.
        "id": "A String",
        "selfLink": "A String", # [Output Only] Server-defined URL for this resource.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.